{
    // 业务代码使用
    // 全局方式引入, 会污染全局环境
    // 执行顺序: 从下往上, 从右往左
    "presets": [
        ["@babel/preset-env", {
            "targets": {
                "chrome": "10"
            },
            "corejs": "2",
            "useBuiltIns": "usage" // 根据已使用的语法添加polyfill, 无需单独再引入(import '@babel/polyfill')
        }],
        [ "@vue/app", { "useBuiltIns": "entry" } ],
        ["@vue/babel-preset-jsx", {
            "injectH": false
        }]
    ],
    "plugins": [
        "@babel/plugin-syntax-dynamic-import",
        "jsx-v-model"
    ]

    // 类库等代码使用, 且无需引入polyfill
    // 闭包方式引入, 不会污染全局环境
    // "plugins": [["@babel/plugin-transform-runtime", {
    //     "corejs": 2,
    //     "helpers": true,
    //     "regenerator": true,
    //     "useESModules": false
    // }]]
}
